org.apache.lucene.queryParser.standard.config

## Interface FuzzyAttribute

- All Superinterfaces:
    Attribute
  All Known Implementing Classes:
    FuzzyAttributeImpl

      public interface FuzzyAttribute
      extends Attribute

  This attribute is used by `PhraseSlopQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default phrase slop when no slop is defined in a phrase.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFuzzyMinSimilarity()`
    `int` | `getPrefixLength()`
    `void` | `setFuzzyMinSimilarity(float minSimilarity)`
    `void` | `setPrefixLength(int prefixLength)`

- - ### Method Detail

    - #### setPrefixLength

          void setPrefixLength(int prefixLength)

    - #### getPrefixLength

          int getPrefixLength()

    - #### setFuzzyMinSimilarity

          void setFuzzyMinSimilarity(float minSimilarity)

    - #### getFuzzyMinSimilarity

          float getFuzzyMinSimilarity()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.